
/* Utility Class */
@import url("./utilities.css");



/* Top Header */
.topbar{
    background-color: var(--secondary);
    padding: 0.5rem 0;
    font-family: 'Raleway', sans-serif;
}
.header-right a,.divider,.header-right i,.header-left a i{
    color: var(--pure);
}
.header-left a i{
    margin-right: 0.75rem;
}
.social{
    transition: all 1s ease;
}
.fa-facebook-square:hover{color: #4a75c5;}
.fa-twitter:hover{color: #00acee;}
.fa-instagram:hover{color: #dd2a7b;}
.fa-pinterest-p:hover{color: #c8232c;}
.fa-youtube-play:hover{color: #d41b14;}

.header-right > div i{
    margin-right: 0.35rem;
    cursor: pointer;
} 
.divider{
    margin: 0px 1rem;
}

.nav-contact div h5,.nav-time div h5{
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    margin-bottom: 0.25rem;
}
.nav-contact div h6,.nav-time div h6{
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
    margin-bottom: 0.25rem;
    letter-spacing: 0.05rem;
    color: var(--ternary);
}
.nav-contact i,.nav-time i{
    color: var(--primary);
    margin-right: 1rem;
}
.logo img{
     width:50%
}
.nav-menu a{
    text-decoration: none;
    color: var(--secondary);
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    font-size: 1rem;
    padding: 1rem;
    text-transform: uppercase;
    transition: all 0.3s ease;
}
.nav-menu a:hover{
   background-color: var(--primary);
   color: var(--pure);
}




/* Header */
.main-header{
    margin-top: 0.55rem;
 background-image: url(../images/1.png);
 background-repeat: no-repeat;
 background-position: 0;
 background-size: cover;
 overflow: hidden;
 z-index: -2;
 height: 450px;
 
}
.main-header .container h4{
    color: var(--secondary);
    font-family: 'Raleway', sans-serif;
    margin-bottom: 0.25rem;
}
.main-header .container h4 span{
    color: var(--primary);
    font-family: 'Raleway', sans-serif;
}
.main-header .container h1{
    color: var(--secondary);
    font-family: 'Raleway', sans-serif;
    font-weight: bolder;
    font-size: 2.5rem;
    margin-bottom: 0.25rem;
}
.main-header .container h1 span{
    color: var(--primary);
}
.main-header .container p{
    width: 50%;
    line-height: 1.5;
    margin-bottom: 0.25rem;
}
.main-header .container button{
    margin-right: .75rem;
}







/* About section */
.about-section{
    margin: 2rem 0;
}
.about-down .about-section-img{
    display: flex;
    justify-content: center;
}
.about-down img{
    width:45%;
}
.about-down h2{
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    font-size: 1.2rem;
    color: var(--secondary);
    line-height: 1.3;
    margin-bottom: 1.5rem;
}
.about-down p{
    font-family: 'Raleway', sans-serif;
    font-weight: 200;
    line-height: 1.7 ;
    margin-bottom: 2rem;
}






/* Quality section */
.quality-section{
    background-color: var(--light);
    margin: 1rem 0rem;
    padding-bottom: 4rem;

}
.card-wrapper{
    width: 100%;
    text-align: center;
    margin-top: 4rem;
    flex-wrap: wrap;
    transition: all 0.3s linear;
  
}
.card{
    background-color: var(--heaven);
    /* width: 30%; */
    position: relative;
    border-radius: 7px;
    padding: 4rem;
    margin: 1%;
    flex: 1 1 300px;
    transition: all 0.5 ease;
}
.card:hover{
    color: var(--primary);
    box-shadow: 2px 2px 10px gray;
    transform: translateY(-10px);
}
.card .card-logo{
    width:30%;
    height: 30%;
    position: absolute;
    /* border:1px solid black; */
    border-radius: 50%;
    padding:0.35rem;
    top: -45px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--heaven);
   
    
}
.card h2{
    font-weight: 500;
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
.card p{
    font-weight: 300;
    line-height: 1.6;
    margin-bottom: 2rem;
    color: var(--secondary);
}

/* New-Post Section */
.new-post{
     background-color: var(--light);
     padding-bottom: 4rem;

}
.post-card{
    width: 30%;
    background-color: var(--heaven);
    padding: 0.35rem;
    border-radius: 7px;
    margin: 1rem;
}
.post-card .image img{
    width: 100%;
}
.post-card .post-body{
    /* margin: 0.35rem 0; */
    margin-bottom: 1rem;
}
.post-card .post-body .upperpost{
    margin-bottom: 1rem;
    font-size: 0.8em;
    margin: 0 0.55rem;
    color: var(--ternary);
    font-weight: 200;
}
.post-card .post-body .lowerpost h1{
    color: var(--primary);
    text-transform: capitalize;
    text-align: center;
    margin: 0.55rem 0;
    font-size: 1.1em;
    font-weight: 500;
    font-family:'Raleway', sans-serif; ;

}
.post-card .post-body .lowerpost p{
    /* color: var(--heaven); */
    text-align: center;
    margin: 0.55rem;
    font-family:'Raleway', sans-serif;
    font-weight: 300;
    line-height: 1.9;
    font-size: 0.8em;
}




/* Newsletter section */

.newletter-body{
    /* display: block; */
    /* background-color: antiquewhite; */
    /* margin: 0 auto; */
    padding-bottom: 2rem;
    /* height: 25vh; */
    
}
.newletter-body form {
    margin:0 20%;
    display: flex;
    justify-content: center;
}
.newletter-body form input{
 width: 60%;
 border: 1px solid grey;
 border-radius: 20px 0 0 20px;
 padding: 10px;
 height: 40px;
 margin-right: 0;
 outline: none;
 border-right: none;

}
.btn-newsletter{
    border-radius: 0 20px 20px 0;
    padding: 10px;
    height: 40px;
    outline: none;
    border: 1px solid grey;
    background-color: var(--primary);
    transition: all 0.5 ease;
}
.btn-newsletter:hover{
    color: var(--primary);
   background-color: var(--heaven);
   border: 1px solid var(--primary);
}





/* Contact US */
#contact-us{
    /* margin-top: 2rem; */
    padding-bottom: 1rem;
    width: 100%;
    /* height: 105vh; */
    /* height: 100%; */
    position: relative;
}
#contact-us .container::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(330deg,var(--primary) 55%,var(--light) 0);
    bottom: 0;
    right: 0;
    z-index: -1;
}
.contact-body form input, .contact-body form textarea{
    margin-bottom: 1rem;
    width: 80%;
    height: 45px;
    border: 1px solid grey;
    padding: 0.55rem;
    outline: none;
    border-radius: 7px;
    
}
.contact-body form textarea{
    height:10%;
}
.contact-body form input::placeholder{
    font-size: 0.85rem;
    letter-spacing: 0.15rem;
    font-family:'Raleway', sans-serif; ;

}
.contact-body form textarea::placeholder{
    font-size: 1rem;
    letter-spacing: 0.15rem;
    font-family:'Raleway', sans-serif; ;
}

.btn-contact{
    border: 1px solid var(--primary);
    border-radius: 100px;
   margin: 0 5px;
   padding: 12px 35px;
   outline: none;
   color: var(--primary);
   line-height: 1.4;
   font-size: 1rem;
   font-weight: 400;
   text-align: center;
   background: transparent;
   transition: all 0.4s ease-in-out;
}
.btn-contact:hover{
    color: var(--primary);
    outline: none;
    border: 1px solid var(--primary);
}
.contact-body form:hover .btn-contact{
    background: #FFF;
    color: var(--primary);
    box-shadow: 0 0 20px 0 rgba(0,0,0,0.3);
}


/* Footer  */

.footersection{
    width: 100%;
    height: auto;
    padding: 70px 0px 20px 0;
    background: var(--footer);
    /* position: relative; */
}
.footer-div{
    width: 40%;
    margin-bottom: 2rem;
}
.footersection p{
    color: var(--heaven);
    margin-left: 0.55rem;
    line-height: 1.1rem;
}
.footer-div ul li {
    list-style: none;
    margin-bottom: 0.35rem;

}
.footer-div ul li a{
    font-size: 0.9rem;
    line-height: 1.6;
    color: var(--heaven);
    text-transform:capitalize ;
    transition: all 1s cubic-bezier(0.4, 0, 1, 1);
    text-decoration: none;
    
}
.footer-div ul li a:hover{
    text-decoration: underline         ;
    
}
.footersection h3{
    /* text-transform: uppercase; */
    color: var(--heaven);
    margin-bottom: 25px;
    font-size: 1.2rem !important;
    text-shadow: 0 2px 5px rgba(0,0,0,0.3);
}
.copright-div{
    text-align: center;
}
.copright-div p{
   font-size: 0.8rem;
   color: var(--pure);
   font-family: 'Raleway', sans-serif;
}
.copright-div p span{
   color: var(--primary);
}
#scrollBtn{
    /* display: none; */
    position: fixed;
    bottom: 20px;
    right: 40px;
    z-index: 99;
    color: var(--pure);
    border: none;
    background: var(--primary);
    padding: 10px;
    border-radius: 10px;
}
#scrollBtn:hover{
  
    background: var(--ternary)
}


/* Movile Nav */

.main-wrapper{
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}
.mobile-nav{
    width: 100%;
    height: 100%;
    background-color: var(--light);
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    z-index: 1;
}
.mobile-nav-trigger{
    position: absolute;
    top: 0;
    left: 0;
    padding: 15px;
    z-index: 1;
    display: none;
}
.mobile-nav-trigger i{
    color: var(--ternary);
}
.site-content-wrapper{
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: var(--heaven);
    z-index: 2;
    -o-transition: all .3s ease;
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
   -moz-transition: all .3s ease ;
}
.site-content-wrapper.scale{
    transform:  translateX(85%) scale(0.9);
    -ms-transform: translate3d(90%) scale(0.9);
    -o-transform:  translate3d(90%) scale(0.9);
    -webkit-transform:  translate3d(90%) scale(0.9);
    border-radius: 3px;
    box-shadow: 0 3px 10px 0 var(--secondary);
    transition: all 0.3s ease-in-out;
}
.site-content{
    width: 100%;
    height: 100%;
    overflow-x: auto;
}


.mobile-nav .mobile-logo img{
    padding: 1rem;
    width:150px
}
.nav-list{
    padding: 0 1rem;
}
.nav-list ul{
    list-style: none;
}
.nav-list ul li{
    margin-bottom: 1rem;
}
.nav-list ul li a{
    text-decoration: none;
    color: var(--secondary);
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
}
.nav-list ul li a:hover{
    color: var(--primary);

}
.mobile-icon{
    padding: 1rem;
}
.mobile-icon a{
    padding-right: 1rem;
}
.mobile-icon .fa-facebook-square {color: #4a75c5;}
.mobile-icon .fa-twitter {color: #00acee;}
.mobile-icon .fa-instagram {color: #dd2a7b;}
.mobile-icon .fa-pinterest-p {color: #c8232c;}
.mobile-icon .fa-youtube-play {color: #d41b14;}

.user{
    margin-bottom: 2rem;
    color: var(--primary);
    padding: 1rem;
}
.user div a {
    color: var(--ternary);
    margin-left: 0.35rem;
}
.user span{
    margin: 0 0.55rem;
    color: var(--ternary);
}



/* Login and Register Popup */

.login-section,.register-section{
    width: 100%;
    height: 100%;
    /* background: rgba(2, 2, 2, 0.7); */
    position: fixed;
    left: 0%;
    top: 0%;
    display: none;
    padding: 0;
    z-index: 4;

}

.login-background{
    padding: 2rem;
    width:30%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: relative;
    box-shadow:10px 10px 50px 8px grey;
    background-color: var(--heaven);
    height: auto;
    border: 1px solid var(--primary);
    border-radius: 13px

}
.login-box{
    text-align: center;
    margin: 0;
    padding: 1rem 0px;
    font-family:'Raleway', sans-serif; ;

}

.login-header{
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: var(--primary);
}

.login-body form input{
    margin-bottom: 1rem;
    width: 95%;
    height: 40px;
    border: 1px solid grey;
    padding: 0.55rem;
    outline: none;
    border-radius: 7px;
    
}
.login-body form input::placeholder{
    font-size: 0.75rem;
    letter-spacing: 0.1rem;
    font-family:'Raleway', sans-serif; ;
}
.login-trigger{
    position: absolute;
    top: 0px;
    right: 0;
    padding: 15px;
    z-index: 4;
}
.login-close,.register-close{
    color: var(--primary);
}
.login-close:hover,.register-close:hover{
    color: red;
    text-shadow: -1px 1px 1px black;
}


.btn-login{
    border: 1px solid var(--primary);
    border-radius: 100px;
   margin: 0 5px;
   padding: 12px 35px;
   outline: none;
   color: var(--primary);
   line-height: 1.4;
   font-size: 1rem;
   font-weight: 400;
   text-align: center;
   background: transparent;
   transition: all 0.4s ease-in-out;
}
.btn-login:hover{
    color: var(--heaven);
    outline: none;
    background-color: var(--primary);
    border: 1px solid var(--primary);
}






/* MEDIA Query */
@media(max-width:1200px){
    .card{
        margin: 8%;
    }
}
@media(max-width:992px){
    .mobile-nav-trigger{
        display: block;
    }
    .topbar, .navbar{
        display: none;
    }
    ::-webkit-scrollbar {
        display: none;
      }
    .main-header{
     margin-top: 0;
     
    }

    /* .card-wrapper{
        flex-flow: column;
        justify-content: center;
        align-items: center; 
        margin-top: 4rem;
    } */
    .quality-section {
        padding-bottom: 2rem;
    }
    
    .card .card-logo{
        width:100px;
        height: 100px;
        }
    .about-section-img img{
        width:60%;
     }
     .post-card .post-body .lowerpost h1 {
        font-size: 0.9rem;
    }
    .post-card .post-body .lowerpost p {
        font-size: 0.7rem !important;
    }
    .login-background{
        width:40%;
    }
}


@media(max-width:767px){
    .login-background{
        width:50%;

    }
    .about-section-img img{
        width:80%;
     }
    .about-section-img{
        margin-bottom: 0.55rem;
    }
    .about-down{
        flex-direction: column;
    }
    .post-wrapper {
        flex-direction: column;
        align-items: center;
    }
    .post-card {
        width: 90%;
    }
    .contact-body form input, .contact-body form textarea {
        width: 100%;
    }

    .contact-body form input::placeholder{
        font-size: 0.65rem;
    
    }
    .contact-body form textarea::placeholder{
        font-size: 0.8rem;
    }
    .newletter-body form input {
        width: 184px;

    }
    .footer-div {
    width: 50%;
    }
    .footersection p {
    font-size: 0.9rem;
    }
    .heading-line{
        width: 70%;
    }

}



@media(max-width:460px){
    .main-header .container h1 {
        font-size: 2.1rem;
    }
   .heading-line{
       width: 60%;
   }
  .contact-body form textarea{
       height:100px
   }
   .login-background{
    width:85%;
}
   
.footersection h3 {
    font-size: 1rem !important;
}
}


@media(max-width:360px){
    .main-header .container h4 {
        margin-top: 2rem;
    }
    .login-background{
        width:90%;
    }

    .main-header .container p {
        margin-bottom: 1rem;
        font-size: 0.9rem;
    }
    .card p {
        margin-bottom: 0.8rem;
    }
    #contact-us {
        height: 80vh;
    }
}











